Vector::BLF::LinWakeupEvent2(3)

NAME
Vector::BLF::LinWakeupEvent2 - LIN_WAKEUP2.

SYNOPSIS

#include <LinWakeupEvent2.h>

Inherits Vector::BLF::ObjectHeader, and Vector::BLF::LinBusEvent.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default
Public Member Functions inherited from Vector::BLF::LinBusEvent
LinBusEvent (const LinBusEvent &)=default
LinBusEvent & operator= (const LinBusEvent &)=default
LinBusEvent (LinBusEvent &&)=default
LinBusEvent & operator= (LinBusEvent &&)=default

  Public Attributes
uint8_t lengthInfo {}
uint8_t signal {}
uint8_t external {}
uint8_t reservedLinWakeupEvent1 {}
uint32_t reservedLinWakeupEvent2 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t sof {}
Start Of Frame timestamp.
uint32_t eventBaudrate {}
Baudrate of the event in bit/sec.
uint16_t channel {}
application channel
uint16_t reservedLinBusEvent {}

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

LIN_WAKEUP2. LIN Wakeup-Frame received or transmitted on a LIN channel.

Member Function Documentation

  uint32_t Vector::BLF::LinWakeupEvent2::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinWakeupEvent2::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinWakeupEvent2::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint8_t Vector::BLF::LinWakeupEvent2::external {}
Flag indicating whether the wakeup frame has been transmitted by an external device (selector set) or by the LIN hardware itself (selector not set).

  uint8_t Vector::BLF::LinWakeupEvent2::lengthInfo {}
Wake-up length validity indicator:

•   0: Wake-up length is OK

•   1: Wake-up is too short

•   2: Wake-up is too long

  uint8_t Vector::BLF::LinWakeupEvent2::reservedLinWakeupEvent1 {}
reserved

  uint32_t Vector::BLF::LinWakeupEvent2::reservedLinWakeupEvent2 {}
reserved

  uint8_t Vector::BLF::LinWakeupEvent2::signal {}
Byte value used by wakeup frame.

Author

Generated automatically by Doxygen for Vector BLF from the source code.